Redmine - Defect #2385

Deleted files are shown when using Darcs as SCM provider
2008-12-23 01:15 - Timo Hubel

Status: Closed Start date: 2008-12-23
Priority: Normal Due date:

Assignee: % Done: 0%
Category: SCM Estimated time: 0.00 hour
Target version: 0.8.1

Resolution: Fixed Affected version:

Description

The repository browser also shows deleted files and directories when using Darcs as SCM backend.

It seems like it is necessary to process the <modified_how>File removed</modified_how> elements in the Darcs XML output in the
"entries" method in darcs_adapter.rb.

Redmine version used: 0.8.0.devel.2163 (MySQL)

Associated revisions

Revision 2189 - 2008-12-27 19:33 - Jean-Philippe Lang

Fixed: deleted files should not be shown when browsing a Darcs repository (#2385).

History

#1 - 2008-12-23 01:17 - Timo Hiibel

Just a note: Perhaps it is even easier retrieving the list of controlled files using "darcs show files"

#2 - 2008-12-27 19:33 - Jean-Philippe Lang
- Status changed from New to Closed
- Target version set to 0.8.1

- Resolution set to Fixed

That's fixed in r2189. Thanks for pointing this out.

Perhaps it is even easier retrieving the list of controlled files using "darcs show files"

Maybe, but "darcs show files" doesn't give the patch that last modified each file.

2025-08-23 1/1



https://www.redmine.org/projects/redmine/repository/svn/revisions/2189
http://www.tcpdf.org

